%bcond_with perl_Package_Stash_enables_optional_test

Summary:        Routines for manipulating stashes
Name:           perl-Package-Stash
Version:        0.40
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Package-Stash
Source0:        https://cpan.metacpan.org/modules/by-module/Package/Package-Stash-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  coreutils findutils
BuildRequires:  perl-generators perl-interpreter perl-devel perl(Config) perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(ExtUtils::Mksymlists) perl(File::Basename)
BuildRequires:  perl(File::Spec::Functions) perl(File::Temp) perl(Text::ParseWords)
BuildRequires:  perl(B) perl(Carp) perl(constant) perl(Dist::CheckConflicts) >= 0.02
BuildRequires:  perl(Module::Implementation) >= 0.06 perl(Package::Stash::XS) >= 0.26
BuildRequires:  perl(Getopt::Long) perl(Scalar::Util) perl(strict) perl(Symbol) perl(warnings)
BuildRequires:  perl(File::Spec) perl(CPAN::Meta::Check) >= 0.011 perl(CPAN::Meta::Requirements)
BuildRequires:  perl(base) perl(lib) perl(Test::Fatal) perl(Test::More) >= 0.88 perl(Test::Needs)
%if %{with perl_Package_Stash_enables_optional_test}
BuildRequires:  perl(CPAN::Meta) >= 2.120900 perl(Module::Runtime::Conflicts)
BuildRequires:  perl(Package::Anon) perl(Variable::Magic)
%endif
Requires:       perl(Package::Stash::XS) >= 0.26
Provides:       perl(Package::Stash::Conflicts) = 0

BuildArch:      noarch

%description
Manipulating stashes (the symbol tables of Perl) is occasionally necessary, but can be messy 
and error-prone. This module hides all of this by providing a simple API.

%prep
%autosetup -n Package-Stash-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{_bindir}/package-stash-conflicts
%{perl_vendorlib}/Package/
%{_mandir}/man3/Package::Stash.3*
%{_mandir}/man3/Package::Stash::PP.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.40-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Wang Guodong <gordonwwang@tencent.com> - 0.40-2
- disable optional test.

* Thu Aug 11 2022 Wang Guodong <gordonwwang@tencent.com> - 0.40-1
- package init.
